<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('eventos', function (Blueprint $col) {
            $col->integer('marcador_local')->nullable()->default(0)->after('id_equipo_visitante');
            $col->integer('marcador_visitante')->nullable()->default(0)->after('marcador_local');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('eventos', function (Blueprint $col) {
            $col->dropColumn(['marcador_local', 'marcador_visitante']);
        });
    }
};
